<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- this is a modal panel for filling the current selectedObservation object
          PARAMS: managedBean: the backing bean to call -->
    <gri:panel pid="newObservationPanel">
        <f:facet name="header">
            <h:outputText value="#{messages['gazelle.ordermanager.FillOutNewObservation']}"/>
        </f:facet>
        <h:outputText
                value="#{messages['gazelle.ordermanager.YouAreAboutToFillOutAnObservationForTheFollowing']} #{managedBean.observationParent}"
                styleClass="help-block"/>
        <gri:panel styleClass="panel-info">
            <f:facet name="header">#{managedBean.observationParent} #{messages['gazelle.ordermanager.Details']}
            </f:facet>
            <s:div rendered="#{managedBean.observationParent.equals('specimen')}">
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedSpecimen.placerAssignedIdentifier}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.PlacerAssignedIdentifier_2']}
                        </ui:define>
                        <h:outputText value="#{managedBean.selectedSpecimen.placerAssignedIdentifier}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{not empty managedBean.selectedSpecimen.fillerAssignedIdentifier}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.FillerAssignedIdentifier_2']}
                        </ui:define>
                        <h:outputText value="#{managedBean.selectedSpecimen.fillerAssignedIdentifier}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenType']}
                        </ui:define>
                        <h:outputText value="#{managedBean.selectedSpecimen.type}"/>
                    </s:decorate>
                </dl>
            </s:div>
            <s:div rendered="#{managedBean.observationParent.equals('order')}">
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{managedBean.selectedOrder.placerOrderNumber != null}">
                        <ui:define name="label">
                            <s:div>
                                <h:outputText value="#{messages['gazelle.ordermanager.PlacerOrderNumber']}"
                                              rendered="#{not (managedBean.selectedOrder.simulatedActor.keyword.equals('ANALYZER')          or managedBean.selectedOrder.simulatedActor.keyword.equals('ANALYZER_MGR'))}"/>
                                <h:outputText value="#{messages['gazelle.ordermanager.AWOSID']}"
                                              rendered="#{managedBean.selectedOrder.simulatedActor.keyword.equals('ANALYZER')          or managedBean.selectedOrder.simulatedActor.keyword.equals('ANALYZER_MGR')}"/>
                            </s:div>
                        </ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.placerOrderNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{managedBean.selectedOrder.fillerOrderNumber != null}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.FillerOrderNumber']}</ui:define>
                        <h:outputText value="#{managedBean.selectedOrder.fillerOrderNumber}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml"
                                rendered="#{managedBean.selectedOrder.class.simpleName.equals('LabOrder')   and not empty managedBean.selectedOrder.parent}">
                        <ui:define name="label">#{messages['gazelle.ordermanager.Parent']}</ui:define>
                        <a4j:repeat value="#{managedBean.selectedOrder.parent}" var="par">
                            <h:outputText value="#{par}"/>
                            <br/>
                        </a4j:repeat>
                    </s:decorate>
                </dl>
            </s:div>
        </gri:panel>
        <gri:panel>
            <f:facet name="header">#{messages['gazelle.ordermanager.ObservationDetails']}</f:facet>
            <f:subview id="fill_obx_view" rendered="#{managedBean.selectedObservation != null}">
                <ui:include src="/lab/fillingObservation.xhtml">
                    <ui:param name="observation" value="#{managedBean.selectedObservation}"/>
                    <ui:param name="managedBean" value="#{managedBean}"/>
                </ui:include>
            </f:subview>
            <f:facet name="footer">
                <a4j:commandButton value="#{messages['gazelle.ordermanager.Cancel']}"
                                   actionListener="#{managedBean.cancelObservationCreation()}"
                                   styleClass="gzl-btn-orange"
                                   immediate="true" byPassUpdates="true"
                                   render="selectedObjectDiv"/>
                <a4j:commandButton value="#{messages['gazelle.ordermanager.Addobservationtospecimen']}"
                                   actionListener="#{managedBean.addObservationToSpecimen()}"
                                   rendered="#{managedBean.observationParent.equals('specimen') and managedBean.selectedObservation.id == null}"
                                   styleClass="gzl-btn-blue"
                                   render="selectedObjectDiv"/>
                <a4j:commandButton value="#{messages['gazelle.ordermanager.UpdateObservation']}"
                                   actionListener="#{managedBean.updateObservation()}"
                                   rendered="#{managedBean.selectedObservation.id != null}"
                                   styleClass="gzl-btn-blue"
                                   render="selectedObjectDiv"/>
                <a4j:commandButton value="#{messages['gazelle.ordermanager.Addobservationtoorder']}"
                                   actionListener="#{managedBean.addObservationToOrder()}"
                                   rendered="#{managedBean.observationParent.equals('order') and managedBean.selectedObservation.id == null}"
                                   styleClass="gzl-btn-blue"
                                   render="selectedObjectDiv"/>
            </f:facet>
        </gri:panel>
    </gri:panel>
</ui:composition>
